# Administration Reference

## fs getcellstatus

Purpose

Reports whether the machine can run setuid programs from a specified cell

Synopsis

    fs getcellstatus -cell <cell name>+  [-help]

    fs getce -c <cell name>+  [-h]

Description

The fs getcellstatus command reports whether the Cache Manager allows programs fetched from each specified cell to run with setuid permission. To set a cell's setuid status, use the fs setcell command; its reference page fully describes how AFS treats setuid programs.

Options

-cell
  Names each cell for which to report setuid status. Provide the fully qualified domain name, or a shortened form that disambiguates it from the other cells listed in the local /usr/vice/etc/CellServDB file.

-help
  Prints the online help for this command. All other valid options are ignored.

Output

The output reports one of the following two values as appropriate:

       Cell cell status: setuid allowed
       Cell cell status: no setuid allowed

Examples

The following example indicates that programs from the cell abc.com are not allowed to run with setuid permission.

       % fs getcellstatus abc.com
       Cell abc.com status: no setuid allowed

Privilege Required

None

Related Information

CellServDB (client version)

fs setcell

© IBM Corporation 2000. All Rights Reserved